#ifndef MY_LINE_EDIT_H
#define MY_LINE_EDIT_H
#include <QObject>
#include <QLineEdit>

class MyLineEdit : public QLineEdit
{
    Q_OBJECT
public:
    MyLineEdit(QWidget *parent = 0);
signals:
    void focusIn();
    void focusOut();
    void restoreWin();
protected:
    virtual void focusInEvent(QFocusEvent *e) override;
    virtual void focusOutEvent(QFocusEvent *e) override;
private:
    QString m_str;
};

#endif // MY_LINE_EDIT_H
